[Gpg4win-commits] [git] Gpg4win - branch, master, updated. gpg4win-3.0.0-35-gd33fa71

by Andre Heinecke cvs at cvs.gnupg.org
Mon Nov 20 13:09:54 CET 2017


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, master has been updated
       via  d33fa7105f55dfeb244087db68377929723209b5 (commit)
       via  9456374961f50f3f3663a9ede3ccb9969e48ca3c (commit)
      from  e8a53a79585f25fb490a4bbab93082e139dd3f3a (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit d33fa7105f55dfeb244087db68377929723209b5
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Mon Nov 20 13:09:37 2017 +0100

    Don't configure dictonaries makefile
    
    --
    It was removed.

diff --git a/configure.ac b/configure.ac
index 00af33d..db119e4 100644
--- a/configure.ac
+++ b/configure.ac
@@ -409,7 +409,6 @@ AC_CONFIG_FILES(src/config.nsi src/gpg4win.mk)
 AC_CONFIG_FILES(doc/Makefile)
 AC_CONFIG_FILES(doc/logo/Makefile)
 AC_CONFIG_FILES(doc/manual/Makefile doc/manual/version.tex)
-AC_CONFIG_FILES(src/dictionaries/Makefile)
 AC_CONFIG_FILES(src/toolchain.cmake)
 AC_OUTPUT
 

commit 9456374961f50f3f3663a9ede3ccb9969e48ca3c
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Mon Nov 20 12:54:58 2017 +0100

    Add patch for gpgol to start kleo
    
    --

diff --git a/Makefile.am b/Makefile.am
index 2e18138..2f5d90f 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -52,7 +52,8 @@ EXTRA_DIST = autogen.sh README.GIT ONEWS \
         patches/gpgex-1.0.4/0001-Prefer-kleowrapped-gpgwrapped-binaries.patch \
         patches/gpgex-1.0.4/0002-Fix-loop-logic-error-in-new-server-name-detection.patch \
         patches/extra-cmake-modules/0001-Use-BIN_INSTALL_DIR-data-for-DATAROOTDIR-on-Windows.patch \
-        patches/gpa-0.9.10/0001-w32-Make-location-of-locale-dir-more-flexible.patch
+        patches/gpa-0.9.10/0001-w32-Make-location-of-locale-dir-more-flexible.patch \
+        patches/gpgol/0001-Launch-Kleo-GPA-in-the-background-on-start.patch
 
 copy-news:
 	cp NEWS doc/website/NEWS.last
diff --git a/NEWS b/NEWS
index 98e5e8b..357990f 100644
--- a/NEWS
+++ b/NEWS
@@ -26,6 +26,12 @@ Noteworthy changes in Version 3.0.1 (unreleased)
 (de) GpgOL: Ein Benutzerschnittstellen-Fehler in Outlook 2010 wurde
      behoben.
 
+(en) GpgOL: Kleopatra is again started in the background to speed
+     up crypto operations.
+
+(de) GpgOL: Kleopatra wird erneut, zur beschleuning der Krypto
+     Operationen, im Hintergrund gestartet.
+
 (en) Kleopatra: Various problems regarding S/MIME file operations
      have been fixed.
 
diff --git a/patches/gpgol/0001-Launch-Kleo-GPA-in-the-background-on-start.patch b/patches/gpgol/0001-Launch-Kleo-GPA-in-the-background-on-start.patch
new file mode 100755
index 0000000..7d8a92d
--- /dev/null
+++ b/patches/gpgol/0001-Launch-Kleo-GPA-in-the-background-on-start.patch
@@ -0,0 +1,83 @@
+#! /bin/sh
+patch -p1 -f -l $* < $0
+exit $?
+
+From 13950a98522818b27b3048617acb0282b65b54b3 Mon Sep 17 00:00:00 2001
+From: Andre Heinecke <aheinecke at intevation.de>
+Date: Mon, 20 Nov 2017 11:54:08 +0100
+Subject: [PATCH] Launch Kleo/GPA in the background on start
+
+* src/engine-assuan.c (spawn_background): New.
+(op_assuan_init): Create background thread to launch kleo.
+
+--
+This does not slowdown the startup as it happens in a different
+thread but is intended to speed up the opening of the key
+resolution dialog when kleopatra is not running and help to
+avoid startup problems mentioned in T3401
+
+GnuPG-Bug-Id: T3401
+---
+ src/engine-assuan.c | 37 +++++++++++++++++++++++++++++++++++++
+ 1 file changed, 37 insertions(+)
+
+diff --git a/src/engine-assuan.c b/src/engine-assuan.c
+index 8907c18..95eee5f 100644
+--- a/src/engine-assuan.c
++++ b/src/engine-assuan.c
+@@ -559,16 +559,53 @@ op_assuan_deinit (void)
+   cleanup ();
+ }
+
++/* Code for a thread in the background */
++static DWORD WINAPI
++spawn_background (LPVOID arg)
++{
++  gpgme_error_t err;
++  assuan_context_t ctx;
++  pid_t pid;
++  ULONG cmdid;
++
++  (void) arg;
++
++  /* Run a test connection to see whether the UI server is available.  */
++  log_debug ("%s:%s: Initial uiserver connect", SRCNAME, __func__);
++  err = connect_uiserver (&ctx, &pid, &cmdid, NULL);
++  if (!err)
++    {
++      log_debug ("%s:%s: Sending noop", SRCNAME, __func__);
++      err = assuan_transact (ctx, "NOP", NULL, NULL, NULL, NULL, NULL, NULL);
++      assuan_release (ctx);
++    }
++  if (err)
++    log_debug ("%s:%s: Failed code: %i", SRCNAME, __func__, err);
++
++  return 0;
++}
+
+ /* Initialize this system. */
+ int
+ op_assuan_init (void)
+ {
+   static int init_done;
++  HANDLE thread;
+
+   if (init_done)
+     return 0;
+
++  /* Connect to UiServer in the background */
++
++  /* XXX This should not really be necessary but
++     it was often reported that the spawn and connect
++     did not work. Also it is much faster to access
++     Kleopatra when it's already running so spawning
++     it as lookahead probably makes sense. */
++  thread = CreateThread (NULL, 0, spawn_background,
++                         NULL, 0, NULL);
++  CloseHandle(thread);
++
+   /* Fire up the pipe worker thread. */
+   {
+     HANDLE th;
+--
+2.11.0

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am                                        |  3 +-
 NEWS                                               |  6 ++
 configure.ac                                       |  1 -
 ...aunch-Kleo-GPA-in-the-background-on-start.patch | 83 ++++++++++++++++++++++
 4 files changed, 91 insertions(+), 2 deletions(-)
 create mode 100755 patches/gpgol/0001-Launch-Kleo-GPA-in-the-background-on-start.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list